Subject: bug#44597: closed (Re: bug#44597: 26.3; bibtex should allow reverse sorting)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Dec 2022 06:30:03 +0000

Your bug report

#44597: 26.3; bibtex should allow reverse sorting

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44597: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44597
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44597: 26.3; bibtex should allow reverse sorting
From: Roland Winkler <[email-masked]>
To: Francesco Potorti <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Fri, 30 Dec 2022 00:29:35 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 18 2020, Roland Winkler wrote:
> Thanks.  To simplify things, I just installed my patch for
> user-defined sorting schemes.  Even if it does not provide an
> easy-to-use solution, it should cover even the most exotic
> scenarios.

Closing.

Subject: 26.3; bibtex should allow reverse sorting
From: Francesco Potortì <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2020 19:30:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I wish bibtex mode would allow for reverse sorting of entries.

Some years ago I used to obtain that behaviour by advising the sort-subr
functions when called inside a bibtex-mode buffer.  No more.

The modern bibtex.el sorts an entry when bibtex-clean-entry is called
when bibtex-maintain-sorted-entries is t without calling sort-subr, but
relying only on bibtex-lessp, which is not easy to advice.

I have numbered labels, and I want them to stay in reverse order as they
are, but now I can get that behaviour only by setting
bibtex-maintain-sorted-entries to nil

Please add some way to reverse the order of entries

--
fp